Subject: bug#64739: (forward-thing 'number) doesn't work with decimal numbers

From: Roland Winkler <[email-masked]>
Date: Fri, 21 Jul 2023 09:14:48 -0500

On Fri, Jul 21 2023, Eli Zaretskii wrote:
>> It should use its own function, if you ask me.  forward-word is a
>> kludge.
>
> To clarify: I meant that using forward-word in this case is a kludge.

I am not familiar with how forward-thing is implemented.  A dedicated
function has been my personal solution for this problem that has been
serving me well for many years.  So one can rephrase: How common a
problem is this that it may (not?) justify a solution in the standard
emacs code?